## libvigraimpex 1.12.2+dfsg

=== docsrc/CMakeLists.txt ===
IF(DOXYGEN_FOUND AND Python_Interpreter_FOUND)
    execute_process(COMMAND ${DOXYGEN_EXECUTABLE} --version
                  OUTPUT_VARIABLE DOXYGEN_VERSION OUTPUT_STRIP_TRAILING_WHITESPACE)

    if(DOXYGEN_VERSION VERSION_LESS 1.8)
        set(DOXYGEN_BEFORE_1_8 "")
        set(DOXYGEN_FROM_1_8_2 "#")
    elseif(DOXYGEN_VERSION VERSION_LESS 1.8.2)
        set(DOXYGEN_BEFORE_1_8 "#")
        set(DOXYGEN_FROM_1_8_2 "#")
    else()
        set(DOXYGEN_BEFORE_1_8 "#")
        set(DOXYGEN_FROM_1_8_2 "")
    endif()

    CONFIGURE_FILE(
        ${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in
        ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
        @ONLY)

    ADD_CUSTOM_TARGET (doc_cpp
        COMMAND ${CMAKE_COMMAND} -E make_directory ${DOCDIR}
        COMMAND ${CMAKE_COMMAND} -E make_directory ${DOCDIR}/vigra
        COMMAND ${DOXYGEN_EXECUTABLE}
        COMMENT "Generating documentation with doxygen ${DOXYGEN_VERSION}")

    ADD_CUSTOM_COMMAND(
        TARGET doc_cpp
        POST_BUILD
        COMMAND ${Python_EXECUTABLE}
            ${CMAKE_CURRENT_SOURCE_DIR}/makeFunctionIndex.py
            ${DOCDIR}/vigra
        COMMAND ${Python_EXECUTABLE}
            ${CMAKE_CURRENT_SOURCE_DIR}/post.py
            ${DOCDIR}/vigra
            ${vigra_version}
        COMMAND ${CMAKE_COMMAND} -E copy_directory
            ${CMAKE_CURRENT_SOURCE_DIR}/documents
            ${DOCDIR}/vigra/documents
        COMMAND ${CMAKE_COMMAND} -E copy_if_different
            ${CMAKE_CURRENT_SOURCE_DIR}/../LICENSE.txt
            ${DOCDIR}/vigra/LICENSE.txt
        COMMAND ${CMAKE_COMMAND} -E copy_if_different
            ${CMAKE_CURRENT_SOURCE_DIR}/../src/matlab/doc/tutorial_reference.pdf
            ${DOCDIR}/vigra/documents/tutorial_reference.pdf
        COMMENT "Postprocessing html files")

ELSE()
    ADD_CUSTOM_TARGET (doc_cpp
        COMMAND ${CMAKE_COMMAND} -E echo
            \"Cannot generate C++ documentation -- doxygen or Python not found.\")

ENDIF()

# create fallback index.html that simply refers to the online documentation
file(MAKE_DIRECTORY ${DOCDIR}/vigra)
file(GLOB INDEX_HTML_EXISTS ${DOCDIR}/vigra/index.html)
configure_file(vigra-icon.ico ${DOCDIR}/vigra/vigra-icon.ico COPYONLY)
if(NOT INDEX_HTML_EXISTS)
    configure_file(index_fallback.html ${DOCDIR}/vigra/index.html COPYONLY)
    configure_file(vigra.css ${DOCDIR}/vigra/vigra.css COPYONLY)
endif()

INSTALL(DIRECTORY ${DOCDIR}/
         DESTINATION ${DOCINSTALL}/)

ADD_DEPENDENCIES(doc doc_cpp)

=== test/filter_iterator/CMakeLists.txt ===
VIGRA_ADD_TEST(test_filter_iterator test.cxx)

=== test/multiarray/CMakeLists.txt ===
IF(JPEG_FOUND)
  ADD_DEFINITIONS(-DHasJPEG)
ENDIF(JPEG_FOUND)

IF(PNG_FOUND)
  ADD_DEFINITIONS(-DHasPNG)
ENDIF(PNG_FOUND)

IF(TIFF_FOUND)
  ADD_DEFINITIONS(-DHasTIFF)
ENDIF(TIFF_FOUND)

FILE(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/impex)

VIGRA_ADD_TEST(test_multiarray test.cxx LIBRARIES vigraimpex)

# Even with C++11, a working threading implementation is needed for running multiarray_chunked tests.
VIGRA_CONFIGURE_THREADING()

if(NOT THREADING_FOUND)
    MESSAGE(STATUS "** WARNING: Your compiler does not support C++ threading.")
    MESSAGE(STATUS "**          test_multiarray_chunked will not be executed on this platform.")
    if(NOT WITH_BOOST_THREAD)
        MESSAGE(STATUS "**          Try to run cmake with '-DWITH_BOOST_THREAD=1' to use boost threading.")
    endif()
else()
  SET(MULTIARRAY_CHUNKED_LIBRARIES ${THREADING_LIBRARIES})

  IF(HDF5_FOUND)
    ADD_DEFINITIONS(-DHasHDF5 ${HDF5_CPPFLAGS})
    INCLUDE_DIRECTORIES(${SUPPRESS_WARNINGS} ${HDF5_INCLUDE_DIR})
    SET(MULTIARRAY_CHUNKED_LIBRARIES vigraimpex ${HDF5_LIBRARIES} ${MULTIARRAY_CHUNKED_LIBRARIES})
  ELSE(TIFF_FOUND)
    SET(MULTIARRAY_CHUNKED_LIBRARIES vigraimpex ${MULTIARRAY_CHUNKED_LIBRARIES})
  ENDIF()

  VIGRA_ADD_TEST(test_multiarray_chunked test_chunked.cxx
                 LIBRARIES ${MULTIARRAY_CHUNKED_LIBRARIES})
endif()

=== test/multiconvolution/CMakeLists.txt ===
VIGRA_ADD_TEST(test_multiconvolution test.cxx LIBRARIES vigraimpex)

VIGRA_ADD_TEST(test_multiconvolution_speed speedtest.cxx)

VIGRA_COPY_TEST_DATA(oi_single.gif)

=== test/seededRegionGrowing3d/CMakeLists.txt ===
VIGRA_ADD_TEST(test_seededRegionGrowing3d test.cxx LIBRARIES vigraimpex)

=== vigranumpy/lib/CMakeLists.txt ===
FILE(WRITE ${CMAKE_CURRENT_SOURCE_DIR}/__version__.py
     "version = '${vigra_version}'
")
SET(PYSOURCES
    __init__.py
    __version__.py
    tagged_array.py
    arraytypes.py
    ufunc.py
    )

INSTALL(FILES ${PYSOURCES} DESTINATION ${VIGRANUMPY_INSTALL_DIR}/vigra)

SET(TIMESTAMP "${CMAKE_CURRENT_BINARY_DIR}/TIMESTAMP.cxx")
FILE(GLOB TIMESTAMP_FOUND ${TIMESTAMP})
IF(NOT TIMESTAMP_FOUND)
    FILE(WRITE ${TIMESTAMP}
     "// auto-generated dummy file to ensure dependency on Python files.
// ADD_CUSTOM_TARGET(vigranumpy_lib SOURCES 'dollarsign'{PYSOURCES}) does not seem to be sufficient.
")
ENDIF()

add_custom_command(
    OUTPUT ${TIMESTAMP}
    DEPENDS ${PYSOURCES}
    COMMAND ${CMAKE_COMMAND}
    ARGS -E touch ${TIMESTAMP})

ADD_CUSTOM_TARGET(vigranumpy_lib SOURCES ${TIMESTAMP} ${PYSOURCES})
ADD_DEPENDENCIES(vigranumpy vigranumpy_lib)

FOREACH(lib_file ${PYSOURCES})
    ADD_CUSTOM_COMMAND(
        TARGET vigranumpy_lib
        POST_BUILD
        COMMAND ${CMAKE_COMMAND}
        ARGS -E copy_if_different ${CMAKE_CURRENT_SOURCE_DIR}/${lib_file} ${vigranumpy_tmp_dir}/${lib_file}
        COMMENT "Copying Python sources to temporary module directory")
ENDFOREACH(lib_file)
ADD_CUSTOM_COMMAND(
    TARGET vigranumpy_lib
    POST_BUILD
    COMMAND ${CMAKE_COMMAND}
    ARGS -E copy_directory ${CMAKE_CURRENT_SOURCE_DIR}/pyqt ${vigranumpy_tmp_dir}/pyqt
    COMMENT "Copying Python sources to temporary module directory")

ADD_SUBDIRECTORY(pyqt)

=== test/classifier/data/CMakeLists.txt ===

#       message(status "Current Source: ${CMAKE_CURRENT_SOURCE_DIR}")
#       message(status "Current Bin: ${CMAKE_CURRENT_BINARY_DIR}")
#       configure_file(${CMAKE_CURRENT_SOURCE_DIR}/oldClassifier.log
#                      ${CMAKE_CURRENT_BINARY_DIR}/oldClassifier.log
#                      COPYONLY)
VIGRA_COPY_TEST_DATA(oldClassifier.log oldsetTest.log empty.hdf5 bare.hdf5)

=== test/random_forest_3/data/CMakeLists.txt ===
VIGRA_COPY_TEST_DATA(rf.h5)

=== vigranumpy/src/core/CMakeLists.txt ===
IF(MSVC)
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /bigobj")
ENDIF()

# note special treatment of target vigranumpy_core:
# module name is automatically changed into vigranumpycore
VIGRA_ADD_NUMPY_MODULE(core
  SOURCES
    vigranumpycore.cxx
    converters.cxx
    axistags.cxx
    multi_array_chunked.cxx
  LIBRARIES
    ${VIGRANUMPY_IMPEX_LIBRARIES} ${VIGRANUMPY_THREAD_LIBRARIES}
  VIGRANUMPY)

VIGRA_ADD_NUMPY_MODULE(impex
  SOURCES
    impex.cxx
  LIBRARIES
    ${VIGRANUMPY_IMPEX_LIBRARIES}
  VIGRANUMPY)

VIGRA_ADD_NUMPY_MODULE(sampling
  SOURCES
    sampling.cxx
  VIGRANUMPY)

VIGRA_ADD_NUMPY_MODULE(filters SOURCES
    kernel.cxx
    convolution.cxx
    filters.cxx
    tensors.cxx
    morphology.cxx
    non_local_mean.cxx
  LIBRARIES
    ${VIGRANUMPY_THREAD_LIBRARIES}
  VIGRANUMPY)

IF(WITH_LEMON)
    VIGRA_ADD_NUMPY_MODULE(analysis SOURCES
        segmentation.cxx
        edgedetection.cxx
        interestpoints.cxx
        accumulator.cxx
        accumulator-region-singleband.cxx
        accumulator-region-multiband.cxx
      LIBRARIES
        ${VIGRANUMPY_THREAD_LIBRARIES}
        ${LEMON_LIBRARY}
      VIGRANUMPY)
    INCLUDE_DIRECTORIES(${LEMON_INCLUDE_DIR})
    SET_TARGET_PROPERTIES(vigranumpy_analysis PROPERTIES COMPILE_FLAGS "-DWITH_LEMON")
ELSE(WITH_LEMON)
    VIGRA_ADD_NUMPY_MODULE(analysis SOURCES
        segmentation.cxx
        edgedetection.cxx
        interestpoints.cxx
        accumulator.cxx
        accumulator-region-singleband.cxx
        accumulator-region-multiband.cxx
      LIBRARIES
        ${VIGRANUMPY_THREAD_LIBRARIES}
      VIGRANUMPY)
ENDIF(WITH_LEMON)

VIGRA_ADD_NUMPY_MODULE(learning SOURCES
    random_forest_old.cxx
    random_forest.cxx
    random_forest_3.cxx
    learning.cxx
  LIBRARIES
    ${VIGRANUMPY_IMPEX_LIBRARIES} ${VIGRANUMPY_THREAD_LIBRARIES}
  VIGRANUMPY)

VIGRA_ADD_NUMPY_MODULE(colors SOURCES
    colors.cxx
  VIGRANUMPY)

VIGRA_ADD_NUMPY_MODULE(noise SOURCES
    noise.cxx
  VIGRANUMPY)

VIGRA_ADD_NUMPY_MODULE(geometry SOURCES
    geometry.cxx
  VIGRANUMPY)

VIGRA_ADD_NUMPY_MODULE(optimization SOURCES
    optimization.cxx
  VIGRANUMPY)



VIGRA_ADD_NUMPY_MODULE(graphs SOURCES
    graphs.cxx
    adjacencyListGraph.cxx
    gridGraphNd.cxx
    gridGraph2d.cxx
    gridGraph3d.cxx
    grid_graph_implicit_edge_maps.cxx
    #eccentricity.cxx
  LIBRARIES
    ${VIGRANUMPY_IMPEX_LIBRARIES} ${VIGRANUMPY_THREAD_LIBRARIES}
  VIGRANUMPY)

VIGRA_ADD_NUMPY_MODULE(histogram SOURCES
    histogram.cxx
  VIGRANUMPY)

VIGRA_ADD_NUMPY_MODULE(utilities SOURCES
    utilities.cxx
  VIGRANUMPY)


VIGRA_ADD_NUMPY_MODULE(blockwise SOURCES
    blockwise.cxx
  LIBRARIES
    ${VIGRANUMPY_THREAD_LIBRARIES}
  VIGRANUMPY)

=== vigranumpy/src/fourier/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${SUPPRESS_WARNINGS} ${VIGRANUMPY_INCLUDE_DIRS} ${FFTW3_INCLUDE_DIR})

VIGRA_ADD_NUMPY_MODULE(fourier
  SOURCES
    fourier.cxx
  LIBRARIES
    ${FFTW3_LIBRARIES}
    ${FFTW3F_LIBRARIES}
    ${VIGRANUMPY_THREAD_LIBRARIES}
  VIGRANUMPY)

=== debian/changelog ===
libvigraimpex (1.12.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 25 Mar 2025 19:17:28 +0100

libvigraimpex (1.12.2+dfsg-1) experimental; urgency=medium

  * New upstream version:
    + Drop 56_python311.diff.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 21 Mar 2025 11:09:42 +0100

libvigraimpex (1.12.1+dfsg-3) unstable; urgency=medium

  * Drop vigra python suppport, needs upstream changes for Numpy 2.
    Fixes FTBFS (Closes: #1094371) and makes python3-sphinx segfault
    unreproducible. (Closes: #1094932)

 -- Andreas Metzler <ametzler@debian.org>  Sat, 15 Feb 2025 06:46:16 +0100

libvigraimpex (1.12.1+dfsg-2) experimental; urgency=medium

  [ Adrian Bunk ]
  * rules: Remove the no longer required armel threading workaround. MR !1

  [ Andreas Metzler ]
  * Use official CamelCased python cmake artifact names.
  * work around cmake numpy breakage by explictly setting
    DPython_NumPy_INCLUDE_DIR.
  * Upload to experimental to have a testcase for sphinx bug #1094932.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 03 Feb 2025 18:21:51 +0100

libvigraimpex (1.11.2+git202408-97744d3f2a+dfsg-1) experimental; urgency=low

  [ Alexandre Detiste ]
  * fix watch file.
  * apply Multi-Arch hint.

  [ Andreas Metzler ]
  * Tar up upstream GIT master as of 97744d3f2a.
    + Drop 60_01-Enforce-using-C-11.patch.
    + Add b-d on python3-pytest.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 31 Aug 2024 15:50:28 +0200

=== debian/control ===
Source: libvigraimpex
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Andreas Metzler <ametzler@debian.org>,
Section: libs
Priority: optional
Build-Depends:
 cmake (>= 3.12),
 debhelper-compat (= 13),
 libfftw3-dev,
 libhdf5-dev,
 libjpeg-dev,
 libopenexr-dev,
 libpng-dev,
 libtiff-dev,
Build-Depends-Indep:
 doxygen,
 ghostscript,
 texlive-latex-base,
 texlive-latex-extra,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/science-team/libvigraimpex
Vcs-Git: https://salsa.debian.org/science-team/libvigraimpex.git
Homepage: https://ukoethe.github.io/vigra/

Package: libvigraimpex-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libfftw3-dev,
 libhdf5-dev,
 libjpeg-dev,
 libpng-dev,
 libtiff-dev,
 libvigraimpex11 (= ${binary:Version}),
 ${misc:Depends},
Suggests:
 libvigraimpex-doc,
Description: development files for the C++ computer vision library
 Vision with Generic Algorithms (VIGRA) is a computer vision library
 that puts its main emphasis on flexible algorithms, because
 algorithms represent the principle know-how of this field. The
 library was consequently built using generic programming as
 introduced by Stepanov and Musser and exemplified in the C++ Standard
 Template Library. By writing a few adapters (image iterators and
 accessors) you can use VIGRA's algorithms on top of your data
 structures, within your environment.
 .
 This package contains the header and development files needed to
 build programs and packages using VIGRA.

Package: libvigraimpex11
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: C++ computer vision library
 Vision with Generic Algorithms (VIGRA) is a computer vision library
 that puts its main emphasis on flexible algorithms, because
 algorithms represent the principle know-how of this field. The
 library was consequently built using generic programming as
 introduced by Stepanov and Musser and exemplified in the C++ Standard
 Template Library. By writing a few adapters (image iterators and
 accessors) you can use VIGRA's algorithms on top of your data
 structures, within your environment.

Package: libvigraimpex-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
Suggests:
 libvigraimpex-dev,
Description: Documentation for the C++ computer vision library
 Vision with Generic Algorithms (VIGRA) is a computer vision library
 that puts its main emphasis on flexible algorithms, because
 algorithms represent the principle know-how of this field. The
 library was consequently built using generic programming as
 introduced by Stepanov and Musser and exemplified in the C++ Standard
 Template Library. By writing a few adapters (image iterators and
 accessors) you can use VIGRA's algorithms on top of your data
 structures, within your environment.
 .
 This package contains documentation for the VIGRA library.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS   = hardening=+bindnow

export DEB_LDFLAGS_MAINT_APPEND  = -Wl,--as-needed
DEB_CFLAGS_MAINT_APPEND   = -Wall -pipe
DEB_CXXFLAGS_MAINT_APPEND = -Wall -pipe
PYTHONVERSIONNUMBER = $(subst python,,$(shell py3versions -d))

AMCONFBUILDINDEP := $(shell if dh_listpackages | grep -q libvigraimpex-doc ; \
	then echo withindep ; \
	else echo archonly ; fi )
MAINBDIR = obj.$(DEB_TARGET_MULTIARCH)
MAINBDIRO = -O--builddirectory=$(MAINBDIR)

# support for Ubuntu development
# # Add -O2 at end to verride -O3 default setting
ifeq ($(DEB_HOST_ARCH),ppc64el)
	DEB_CFLAGS_MAINT_APPEND += -O2
	DEB_CXXFLAGS_MAINT_APPEND += -O2
endif

# fixing floating-point rounding errors on i386 CPUs, see #820429
ifneq (,$(filter $(DEB_HOST_ARCH_CPU), i386))
  DEB_CFLAGS_MAINT_APPEND += -ffloat-store
  DEB_CXXFLAGS_MAINT_APPEND += -ffloat-store
endif

ifneq (,$(filter $(DEB_BUILD_ARCH),mips mipsel))
  DEB_CXXFLAGS_MAINT_APPEND += --param ggc-min-expand=20
endif

export DEB_CFLAGS_MAINT_APPEND
export DEB_CXXFLAGS_MAINT_APPEND

ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial/libhdf5.so),)
  export CMAKE_INCLUDE_PATH=/usr/include/hdf5/serial
  export CMAKE_LIBRARY_PATH=/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
endif

override_dh_auto_configure:
	dh_auto_configure --verbose $(MAINBDIRO) -- \
		-DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)/" \
		-DWITH_OPENEXR=ON \
		-DWITH_VIGRANUMPY=OFF \
		$(CMAKE_EXTRAS)

override_dh_auto_build:
	@echo DEBUGMEMSIZE ; if which free ; then free ; fi
	dh_auto_build --verbose $(MAINBDIRO)
ifeq ($(filter archonly,$(AMCONFBUILDINDEP)),)
	$(MAKE) doc_cpp -C $(MAINBDIR)/
endif

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	sed -i 's/exit\ 1/exit\ 0/' \
		$(MAINBDIR)/test/multiarray/run_test_multiarray_chunked.sh #812852
	sed -i 's/-O2/-O2 -O0/' \
		$(MAINBDIR)/test/math/CMakeFiles/test_math.dir/flags.make #817840
#	sed -i 's/-O2/-O2 -O1/' \
		$(MAINBDIR)/test/blockwisealgorithms/CMakeFiles/test_blockwiselabeling.dir/flags.make # https://github.com/ukoethe/vigra/issues/409
#	sed -i 's/-O2/-O2 -O1/' \
		$(MAINBDIR)/test/blockwisealgorithms/CMakeFiles/test_blockwisewatersheds.dir/flags.make # https://github.com/ukoethe/vigra/issues/409, #853513
	sed -i 's/-O2/-O2 -O1/' \
		$(MAINBDIR)/test/gridgraph/CMakeFiles/test_gridgraph.dir/flags.make #871556
	sed -i 's/-O2/-O2 -O0/' \
		$(MAINBDIR)/test/multiarray/CMakeFiles/test_multiarray.dir/flags.make #872037
	$(MAKE) -C $(MAINBDIR) check
else
	@echo 'Not running testsuite, "nocheck" in $$DEB_BUILD_OPTIONS'
endif

override_dh_auto_install:
	dh_auto_install $(MAINBDIRO)

override_dh_install:
	find debian/tmp -type d -name doctrees -exec rm -rf {} +
	rm -vf debian/tmp/usr/doc/vigra/LICENSE.txt
	dh_install $(MAINBDIRO)
ifeq ($(filter archonly,$(AMCONFBUILDINDEP)),)
	cd debian/libvigraimpex-doc/usr/share/doc/libvigraimpex-dev/ && \
		rm -f html/jquery.js && \
		sed -r -i -e \
		's!(<a href=")LICENSE.txt(">)!\1/usr/share/doc/libvigraimpex-doc/copyright\2!g' \
		html/index.html
endif

%:
	dh $@ --builddirectory=$(MAINBDIR)

=== debian/watch ===
version=4
opts=uversionmangle=s/-/./g,\
dversionmangle=s/\+dfsg\d*$//,\
repacksuffix=+dfsg \
https://github.com/ukoethe/vigra/tags (?:.*/)Version-([\d-]+).tar.gz

## libvigraimpex 1.12.3+dfsg

=== debian/changelog ===
libvigraimpex (1.12.3+dfsg-2) unstable; urgency=medium

  * [lintian] Drop redundant priority optional field.
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 21 Feb 2026 13:39:54 +0100

libvigraimpex (1.12.3+dfsg-1) experimental; urgency=medium

  * New upstream version.
  * [lintian] drop redundant Rules-Requires-Root: no

 -- Andreas Metzler <ametzler@debian.org>  Fri, 26 Dec 2025 15:46:45 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders:
  Andreas Metzler <ametzler@debian.org>,
 Section: libs
-Priority: optional
 Build-Depends:
  cmake (>= 3.12),
  debhelper-compat (= 13),
@@ -18,8 +17,7 @@
  ghostscript,
  texlive-latex-base,
  texlive-latex-extra,
-Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/science-team/libvigraimpex
 Vcs-Git: https://salsa.debian.org/science-team/libvigraimpex.git
 Homepage: https://ukoethe.github.io/vigra/
